apiVersion: apps/v1
kind: Deployment
metadata:
  name: projeto-borda-social
spec:
  selector:
    matchLabels:
      app: projeto-borda-social
  template:
    metadata:
      labels:
        app: projeto-borda-social
    spec:
      containers:
      - name: projeto-borda-social
        image: registry.gitlab.com/tcc-pucsp/borda/lance-alimento:projeto-lance-alimento-imagem
        imagePullPolicy: IfNotPresent
        readinessProbe:
          httpGet:
            path: /actuator/health
            port: 8080
          initialDelaySeconds: 90
          timeoutSeconds: 2
          periodSeconds: 3
          failureThreshold: 3
        livenessProbe:
          httpGet:
            path: /actuator/health
            port: 8080
          initialDelaySeconds: 90
          timeoutSeconds: 2
          periodSeconds: 8
          failureThreshold: 3
        env:
          - name: MARIADB_URI
            valueFrom:
              secretKeyRef:
                name: social-secret-map
                key: MARIADB_URI
          - name: MARIADB_URI
            valueFrom:
              configMapKeyRef:
                name: social-config-map
                key: MARIADB_URI 
        resources:
          limits:
            memory: 128Mi
            cpu: 300m
        ports:
        - containerPort: 8080
        volumeMounts:
        - mountPath: /home/servico/openj9/java
          name: volume-claim
      restartPolicy: Always
      volumes:
      - name: volume-claim
        persistentVolumeClaim:
          claimName: volume-claim-open9j
